<?php
/**
 * Skeleton Base Class.
 *
 * $Horde: skeleton/lib/Skeleton.php,v 1.10 2005/01/03 14:35:32 jan Exp $
 *
 * Copyright 2004-2005 Your Name <you@example.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Your Name <you@example.com>
 * @version $Revision: 1.10 $
 * @since   Skeleton 0.1
 * @package Skeleton
 */
class Skeleton {

    /**
     * Build Skeleton's list of menu items.
     *
     * @access public
     */
    function getMenu($returnType = 'object')
    {
        global $conf, $registry, $browser, $print_link;

        require_once 'Horde/Menu.php';

        $menu = &new Menu(HORDE_MENU_MASK_ALL);
	$menu->add(Horde::applicationUrl('list.php'), _("List"), 'user.png', $registry->getImageDir('horde'));

        if ($returnType == 'object') {
            return $menu;
        } else {
            return $menu->render();
        }
    }

}
